﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="TestGrid.WebForm1" %>

<%@ Register Assembly="Syncfusion.EJ.Web, Version=13.1450.0.21, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>
<%@ Register Assembly="Syncfusion.EJ, Version=13.1450.0.21, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="themes/flat-lime/ej.theme.min.css" rel="stylesheet" />
    <link href="themes/ej.widgets.core.min.css" rel="stylesheet" />
    <script src="scripts/jquery-1.10.2.min.js"></script>
    <script src="scripts/jquery.easing-1.3.min.js"></script>
    <script src="scripts/jquery.globalize.min.js"></script>
    <script src="scripts/jsondata.js"></script>
    <script src="scripts/jsrender.min.js"></script>
    <script src="scripts/ej.web.all.min.js"></script>
    <script src="scripts/ej.webform.min.js"></script>
</head>
<body>
    
    <form id="form1" runat="server">
    <asp:ScriptManager runat="server"></asp:ScriptManager>
        <div>
        <ej:Grid ID="Grid" runat="server" >
            <Columns>
                <ej:Column Field="ID" HeaderText="ID" IsPrimaryKey="true" Visible="false" >
                </ej:Column>
                <ej:Column Field="FirstName" HeaderText="First Name" >
                </ej:Column>
                <ej:Column Field="LastName" HeaderText="Last Name" >
                </ej:Column>
                <ej:Column Field="Addresses.0.Address1" HeaderText="Address" >
                </ej:Column>
                <ej:Column Field="Addresses.0.Country.CountryDescription" HeaderText="Country" EditType="Dropdown">
                </ej:Column>
            </Columns>
            <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="Dialog"></EditSettings>
            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
        </ej:Grid>
    </div>
    </form>
</body>
</html>
